Bug 218507 - net/rsync-bpc: Update to 3.0.9.6
Summary: net/rsync-bpc: Update to 3.0.9.6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Jason Unovitch
URL:
Keywords: easy, needs-qa
Depends on:
Blocks:
 
Reported: 2017-04-09 08:08 UTC by Alexander Moisseev
Modified: 2017-07-09 00:36 UTC (History)
2 users (show)

See Also:
moiseev: maintainer-feedback+
junovitch: merge-quarterly+


Attachments
patch (1010 bytes, patch)
2017-04-09 08:08 UTC, Alexander Moisseev
moiseev: maintainer-approval+
Details | Diff
patch (993 bytes, patch)
2017-05-26 07:53 UTC, Alexander Moisseev
moiseev: maintainer-approval+
Details | Diff
patch (993 bytes, patch)
2017-06-12 08:11 UTC, Alexander Moisseev
moiseev: maintainer-approval+
Details | Diff
synth log (33.88 KB, text/plain)
2017-06-12 10:13 UTC, Alexander Moisseev
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Moisseev 2017-04-09 08:08:36 UTC
Created attachment 181616 [details]
patch

Git tag format has been changed by upstream: 3_0_9_6 -> 3.0.9.6
Comment 1 Alexander Moisseev 2017-05-26 07:53:04 UTC
Created attachment 182922 [details]
patch

- Update 3_0_9_6 -> 3.0.9.7
(git tag format has been changed by upstream)
Comment 2 Alexander Moisseev 2017-06-12 08:11:03 UTC
Created attachment 183417 [details]
patch

- Update 3_0_9_6 -> 3.0.9.8
(git tag format has been changed by upstream)
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2017-06-12 09:20:03 UTC
Thank you Alexander. Can you please confirm that this change passes QA
(poudriere in particular).

For more information and instruction see:
https://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/testing.html
Comment 4 Alexander Moisseev 2017-06-12 10:13:25 UTC
Created attachment 183420 [details]
synth log
Comment 5 commit-hook freebsd_committer 2017-07-09 00:34:57 UTC
A commit references this bug:

Author: junovitch
Date: Sun Jul  9 00:34:23 UTC 2017
New revision: 445357
URL: https://svnweb.freebsd.org/changeset/ports/445357

Log:
  net/rsync-bpc: update 3.0.9.6 -> 3.0.9.8

  Changelog:
  - 3.0.9.7
   * An important bug fix - fixed reference counting for a particular case
     in bpc_unlink(). Also fixed two memory leaks that happen on a file open
     error. Upgrading is strongly recommended.
  - 3.0.9.8
   * Fixed version number (now 3.0.9.8), which was incorrectly left at 3.0.9.6
     in the 3.0.9.7 release.

  PR:		218507
  Submitted by:	Alexander Moisseev <moiseev@mezonplus.ru> (maintainer)
  MFH:		2017Q3

Changes:
  head/net/rsync-bpc/Makefile
  head/net/rsync-bpc/distinfo
Comment 6 commit-hook freebsd_committer 2017-07-09 00:36:00 UTC
A commit references this bug:

Author: junovitch
Date: Sun Jul  9 00:34:55 UTC 2017
New revision: 445358
URL: https://svnweb.freebsd.org/changeset/ports/445358

Log:
  MFH: r445357

  net/rsync-bpc: update 3.0.9.6 -> 3.0.9.8

  Changelog:
  - 3.0.9.7
   * An important bug fix - fixed reference counting for a particular case
     in bpc_unlink(). Also fixed two memory leaks that happen on a file open
     error. Upgrading is strongly recommended.
  - 3.0.9.8
   * Fixed version number (now 3.0.9.8), which was incorrectly left at 3.0.9.6
     in the 3.0.9.7 release.

  PR:		218507
  Submitted by:	Alexander Moisseev <moiseev@mezonplus.ru> (maintainer)
  Approved by:	ports-secteam (with hat)

Changes:
_U  branches/2017Q3/
  branches/2017Q3/net/rsync-bpc/Makefile
  branches/2017Q3/net/rsync-bpc/distinfo
Comment 7 Jason Unovitch freebsd_committer 2017-07-09 00:36:59 UTC
Committed. Thanks! And given the recommendation from upstream in the changelog on Github I opted to MFH this right away.